<?php 
session_start();

setlocale(LC_TIME, 'de_DE.utf8');

if ($_GET["a"] == 'logout'){
    setcookie('loginstatus', 'loggedout', time() + (2678400 * 30), "/");
    header('Location: ./');
}

include 'config.php';

require_once "sleekdb/SleekDB.php";

$databaseDirectory = __DIR__ . "/db";
$currentstore = new \SleekDB\Store("data", $databaseDirectory);

$passwordinput = trim(utf8_decode(strip_tags($_POST["password"])));

if ($passwordinput){
    if ($passwordinput == $password) {
        setcookie('loginstatus', 'loggedin', time() + (2678400 * 30), "/");
        header('Location: ./');
    } else {
        $passwordstatus = '<p class="mt-3" style="color: red;">Passwort ist falsch.</p>';
    }
}
?>

<!doctype html>
<html lang="de">

<head>
    <title>Raumplaner</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="robots" content="noindex, nofollow">
    <meta name="language" content="de">
    <meta name="author" content="fbnfrtg.de">

    <link rel="icon" href="assets/favicons/favicon.ico" sizes="any">
    <link rel="icon" href="assets/favicons/icon.svg" type="image/svg+xml">
    <link rel="apple-touch-icon" href="assets/favicons/icon-180.png">

    <link rel="stylesheet" type="text/css" href="assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap-icons.css">
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css">

    <link rel="stylesheet" type="text/css" href="assets/css/styles.css">

    <meta name="mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="default">

</head>

<body>


    <?php 
    if ($_COOKIE["loginstatus"] != 'loggedin' && $passwordrequired == 1){ ?>
        
     <div class="section padding30">
        <div class="container">
            <div class="row gx-0 pt-5">
                <div class="col-12 ">
                    <h1 class="mb-3"><b>Raum</b>planer</h1> 

                    <?php echo $userstatus; ?>
                    <?php echo $passwordstatus ?>
                    
                    <form action="" method="post">
                    <div class="form-group pb-3">
                    <input type="password" name="password" class="form-control" id="password" placeholder="Passwort" style="width:200px;">
                    </div>
                    <input type="submit" class="btn btn-secondary" value="Log in">
                    </form>

                </div>
            </div>
        </div>
    </div>
            
        
    <?php } else { ?>

    <div class="spacer_top"></div>

    <div class="section header sticky-top">
        <div class="container">
            <div class="row">
                <div class="col-11">
                    <h1><b>Raum</b>planer</h1> 
                </div>

                <?php if ($passwordrequired == 1){ ?> 
                <div class="col-1 text-end icons">
                    <a href="./?a=logout" class="btn_logout ms-2"><i class="fa fa-sign-out"></i></a>
                    <i class="fa fa-circle-o-notch" style="display:none;"></i>
                </div>
                <?php } ?>

            </div>
        </div>
    </div>

    <!-- ****************** -->

    <div class="section">
        <div class="container">
            <div class="row">

                <div class="col-12"><div class="spacer30"></div>

                <div class="col-12">
                
                <?php

                $today = new DateTime();

                $monday_of_current_week = new DateTime($today->format('Y-m-d'));
                $monday_of_current_week->modify('this week monday');

                $sunday_of_next_next_week = clone $monday_of_current_week;
                $sunday_of_next_next_week->modify('+28 days');
                $sunday_of_next_next_week->modify('next sunday');

                for ($i = 0; $i < 4; $i++) {
                    $current_date = clone $monday_of_current_week;
                    $current_date->modify("+$i weeks");

                    echo '<div class="grid">';
                    for ($day = 0; $day < 5; $day++) {
                        $current_day = clone $current_date;
                        $current_day->modify("+$day days");

                        $day_str = $current_day->format('d.m.');
                        $date_str = $current_day->format('Y-m-d');
                        $weekday_str = strftime('%a', $current_day->getTimestamp());

                        echo '<div class="day">';
                        echo '<div class="date">';

                        if ($date_str == $today->format('Y-m-d')) {
                            echo '<i class="fa fa-check-circle" style="color:#20bf6b;"></i> ';
                        }

                        echo '<strong>' . $weekday_str . '</strong> ' . $day_str . '</div>';
                        echo '<div class="content" data-datestr="' . $date_str . '" data-day="' . $weekday_str . '" data-date="' . $day_str . '">';

                        $items = $currentstore->findBy(["date", "=", $date_str], ["beginn" => "asc"]);
                        foreach ($items as $item) {
                            echo '<div class="item" data-id="' . $item['_id'] . '" data-date="' . $date_str . '" data-beginn="' . $item['beginn'] . '" data-ende="' . $item['ende'] . '" data-thema="' . $item['thema'] . '" data-name="' . $item['name'] . '" data-gaeste="' . $item['gaeste'] . '">';
                            echo '<b>' . $item['beginn'] . ' - ' . $item['ende'] . ' Uhr</b><br>' . $item['thema'] . '</div>';
                        }

                        echo '</div></div>';
                    }
                    echo '</div>';
                }
                ?>


                </div> 
            </div>
        </div>
    </div>

    <div class="footer"></div>

    <!-- ****************** -->

    <!-- Modal -->

    <div class="modal fade" id="modal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
        <div class="modal-header">
            <h1 class="modal-title fs-5" id="modal-title"></h1>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">

            <div class="current_entry d-none">
                <p class="small mb-0" id="text-uhrzeit"></p>
                <h2 id="text-thema"></h2>
                <div class="spacer10"></div>
                <p class="small mb-0 muted">Name</p>
                <p id="text-name"></p>

                <div class="spacer10"></div>
                <p class="small mb-0 muted">Gäste</p>
                <p id="text-gaeste"></p>

            </div>

            <form id="form" class="d-none">
            <div class="row">
            
            <input type="hidden" name="id" id="id">
            <input type="hidden" name="date" id="date">

                <div class="col-12 col-md-6">
                    <div class="form-floating">
                        <select class="form-select" name="beginn" id="beginn">
                            <option selected>-</option>
                            <option value="8.00">8.00 Uhr</option>
                            <option value="8.30">8.30 Uhr</option>
                            <option value="9.00">9.00 Uhr</option>
                            <option value="9.30">9.30 Uhr</option>
                            <option value="10.00">10.00 Uhr</option>
                            <option value="10.30">10.30 Uhr</option>
                            <option value="11.00">11.00 Uhr</option>
                            <option value="11.30">11.30 Uhr</option>
                            <option value="12.00">12.00 Uhr</option>
                            <option value="12.30">12.30 Uhr</option>
                            <option value="13.00">13.00 Uhr</option>
                            <option value="13.30">13.30 Uhr</option>
                            <option value="14.00">14.00 Uhr</option>
                            <option value="14.30">14.30 Uhr</option>
                            <option value="15.00">15.00 Uhr</option>
                            <option value="15.30">15.30 Uhr</option>
                            <option value="16.00">16.00 Uhr</option>
                            <option value="16.30">16.30 Uhr</option>
                            <option value="17.00">17.00 Uhr</option>
                            <option value="17.30">17.30 Uhr</option>
                        </select>
                        <label for="beginn">Beginn</label>
                    </div>
                </div>

                <div class="col-12 col-md-6">
                    <div class="form-floating">
                        <select class="form-select" name="ende" id="ende">
                            <option selected>-</option>
                            <option value="8.30">8.30 Uhr</option>
                            <option value="9.00">9.00 Uhr</option>
                            <option value="9.30">9.30 Uhr</option>
                            <option value="10.00">10.00 Uhr</option>
                            <option value="10.30">10.30 Uhr</option>
                            <option value="11.00">11.00 Uhr</option>
                            <option value="11.30">11.30 Uhr</option>
                            <option value="12.00">12.00 Uhr</option>
                            <option value="12.30">12.30 Uhr</option>
                            <option value="13.00">13.00 Uhr</option>
                            <option value="13.30">13.30 Uhr</option>
                            <option value="14.00">14.00 Uhr</option>
                            <option value="14.30">14.30 Uhr</option>
                            <option value="15.00">15.00 Uhr</option>
                            <option value="15.30">15.30 Uhr</option>
                            <option value="16.00">16.00 Uhr</option>
                            <option value="16.30">16.30 Uhr</option>
                            <option value="17.00">17.00 Uhr</option>
                            <option value="17.30">17.30 Uhr</option>
                            <option value="18.00">18.00 Uhr</option>
                        </select>
                        <label for="ende">Ende</label>
                    </div>
                </div>

                <div class="col-12 mt-3">
                    <div class="form-floating">
                    <input type="text" class="form-control" id="thema" name="thema" placeholder="" value="">
                    <label for="thema">Thema</label>
                    </div>
                </div>

                <div class="col-12 mt-3">
                    <div class="form-floating">
                    <input type="text" class="form-control" id="name" name="name" placeholder="" value="">
                    <label for="name">Name</label>
                    </div>
                </div>

                <div class="col-12 mt-3">
                    <div class="form-floating">
                    <input type="text" class="form-control" id="gaeste" name="gaeste" placeholder="" value="">
                    <label for="gaeste">Gäste</label>
                    </div>
                </div>
            </form>
        </div>

        </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger me-auto btn-delete">löschen</button>
                <button type="button" class="btn btn-secondary btn-escape" style="opacity:.6;" data-bs-dismiss="modal">abbrechen</button>
                <button type="button" class="btn btn-success btn-save">speichern</button>
                <button type="button" class="btn btn-secondary btn-edit">bearbeiten</button>

            </div>
        </div>


    <script type="text/javascript" src="assets/js/jquery.js"></script>
    <script type="text/javascript" src="assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="assets/js/functions.js"></script>

    <script>

    $('.day .content').click(function (event) {

            if (!$(event.target).is('.item')) {

                $('#form').removeClass('d-none');
                $('.current_entry').addClass('d-none');
                $('.btn-edit, .btn-danger').hide();
                $('.btn-save').show();

                $('#modal-title').html('<strong>'+$(this).data('day')+'</strong> '+ $(this).data('date'));
                $('#date').val($(this).data('datestr'));
                $('#id').val(0);
                $('#beginn').val('');
                $('#ende').val('');
                $('#thema').val('');
                $('#name').val('');
                $('#gaeste').val('');
                $('.btn-danger').hide();
                var myModal = new bootstrap.Modal(document.getElementById('modal'));
                myModal.show();
            }
        });


        $('.item').click(function () {

            $('#text-uhrzeit').text($(this).data('beginn') + ' - ' + $(this).data('ende') + ' Uhr');
            $('#text-thema').text($(this).data('thema'));
            $('#text-name').text($(this).data('name'));
            $('#text-gaeste').text($(this).data('gaeste'));

            $('#form').addClass('d-none');
            $('.current_entry').removeClass('d-none');
            $('.btn-edit').show();
            $('.btn-danger, .btn-save').hide();

            $('#modal-title').html('<strong>'+$(this).parent().data('day')+'</strong> '+ $(this).parent().data('date'));
            $('#id').val($(this).data('id'));
            $('#date').val($(this).data('date'));
            $('#beginn').val($(this).data('beginn'));
            $('#ende').val($(this).data('ende'));
            $('#thema').val($(this).data('thema'));
            $('#name').val($(this).data('name'));
            $('#gaeste').val($(this).data('gaeste'));
            

            var myModal = new bootstrap.Modal(document.getElementById('modal'));
            myModal.show();
        });

        $('.btn-edit').click(function () {

            $('.current_entry').addClass('d-none');
            $('#form').removeClass('d-none');
            $('.btn-edit').hide();
            $('.btn-danger, .btn-save').show();

        });
    
        $('.btn-save').click(function(){  

            var form = $('#form');
 
                var form_data = new FormData();
                form_data.append('report', form.serialize());
                form_data.append('verification', 'diufhgsi985z935q');
                console.log(form.serialize());

                $.ajax({
                        url: 'handledata.php',
                        type: 'POST',
                        contentType: false,
                        processData: false,
                        data: form_data,
                        beforeSend: function(xhr) {
                            $('.send-form').text('...'); 
                        },
                        success: function(data) {
                            console.log(data);
                        }
                    })
                    .done(function() {
                        $('.send-form').prop('disabled', true).text('!');
                        $('input').attr('readonly', true);

                        location.reload();

                    });

        });

        $('.btn-delete').click(function(){  

            var form = $('#form');

                var form_data = new FormData();
                form_data.append('report', form.serialize());
                form_data.append('verification', 'diufhgsi985z935q');
                form_data.append('action', 'delete');

                console.log(form.serialize());

                $.ajax({
                        url: 'handledata.php',
                        type: 'POST',
                        contentType: false,
                        processData: false,
                        data: form_data,
                        beforeSend: function(xhr) {
                            $('.send-form').text('...'); 
                        },
                        success: function(data) {
                            console.log(data);
                        }
                    })
                    .done(function() {
                        $('.send-form').prop('disabled', true).text('!');
                        $('input').attr('readonly', true);

                        location.reload();

                    });
            });
     
    </script>

<?php }  ?>

</body>

</html>

