<?php 
session_start();

setlocale(LC_TIME, 'de_DE.utf8');

include '../config.php';

require_once "../sleekdb/SleekDB.php";

$databaseDirectory = "../db";
$currentstore = new \SleekDB\Store("data", $databaseDirectory);

$passwordinput = trim(utf8_decode(strip_tags($_POST["password"])));

?>

<!doctype html>
<html lang="de">

<head>
    <title>Raumplaner</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="robots" content="noindex, nofollow">
    <meta name="language" content="de">
    <meta name="author" content="fbnfrtg.de">

    <link rel="icon" href="../assets/favicons/favicon.ico" sizes="any">
    <link rel="icon" href="../assets/favicons/icon.svg" type="image/svg+xml">
    <link rel="apple-touch-icon" href="../assets/favicons/icon-180.png">

    <link rel="stylesheet" type="text/css" href="../assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap-icons.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/bootstrap.min.css">

    <link rel="stylesheet" type="text/css" href="../assets/css/styles.css">

    <meta name="mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="default">

    <meta http-equiv="refresh" content="60" />


    <style>

        h1{
            font-size:44px;
            line-height:44px;
            font-weight:300;
        }

        h2{
            font-size:30px;
            line-height:30px;
            font-weight:300;
        }

        h4{
            line-height:20px
        }

        .text-muted{
            opacity: .4;
            color:#111 !important;
        }
    </style>

</head>

<body>
    
    <div class="spacer_top"></div>

    <!-- ****************** -->

    <div class="section">
        <div class="container">
            <div class="row">

                <div class="col-12"><div class="spacer30"></div>

                <div class="col-12">

                <?php

                $today = new DateTime();
                $today_date_str = $today->format('Y-m-d');

                $weekday_str = strftime('%A', $today->getTimestamp()); 
                $day_str = $today->format('d. F Y'); 
                $current_time = date('H:i'); 

                echo "<h2 class='mb-5 text-muted'><b>$weekday_str, </b>$day_str, <b>$current_time Uhr</b></h2>";

                $items = $currentstore->findBy(["date", "=", $today_date_str], ["beginn" => "asc"]);

                $now = new DateTime();

                foreach ($items as $item) {
                    // Begrüßung eine Stunde vor und während des Termins
                    $beginn = new DateTime($item['beginn']);
                    $ende = new DateTime($item['ende']);
                    $beginn_minus_one_hour = clone $beginn;
                    $beginn_minus_one_hour->modify('-1 hour');

                    if ($now >= $beginn_minus_one_hour && $now <= $ende) {
                        if ($item['gaeste']) {
                        echo "<h1 class='mb-4'><strong>Herzlich willkommen</strong><br>{$item['gaeste']}</h1>";
                    }
                    }
                }

                echo "<p class='text-muted mb-3'>Heute im Besprechungsraum:</p>";

                $items = $currentstore->findBy(["date", "=", $today_date_str], ["beginn" => "asc"]);

                $now = new DateTime();

                foreach ($items as $item) {
                    // Begrüßung eine Stunde vor und während des Termins
                    $beginn = new DateTime($item['beginn']);
                    $ende = new DateTime($item['ende']);
                    $beginn_minus_one_hour = clone $beginn;
                    $beginn_minus_one_hour->modify('-1 hour');

                    echo "<div class='mb-4'>
                    <h4 class='mb-0'>{$item['beginn']} - {$item['ende']} Uhr</h4>
                    <h1 class='mb-1'><strong>{$item['thema']}</strong></h1>";
                    if ($item['name']) {
                        echo "<p class='mb-0'><i class='bi bi-person-fill'></i> {$item['name']}</p>";
                    }

                    if ($item['gaeste']) {
                        echo "<p class='mb-0'><i class='bi bi-person-fill'></i> {$item['gaeste']}</p>";
                    }
   
                    echo "</div>";
                }

                if (empty($items)) {
                    echo "<p>Keine Termine.</p>";
                }

                ?>

                </div> 
            </div>
        </div>
    </div>

    <div class="footer"></div>

    <!-- ****************** -->

    <script type="text/javascript" src="../assets/js/jquery.js"></script>
    <script type="text/javascript" src="../assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../assets/js/functions.js"></script>

    <script>

    </script>

</body>
</html>

